{
  description = "A basic flake from samw";
  inputs = {
    utils.url = "github:numtide/flake-utils";
    devshell.url = "github:numtide/devshell";
    mach-nix.url = "mach-nix/3.5.0";
  };
  outputs = {
    self,
    nixpkgs,
    utils,
    devshell,
    mach-nix,
  }:
    utils.lib.eachDefaultSystem (system: let
      pkgs = import nixpkgs {
        inherit system;

        overlays = [devshell.overlays.default];
      };
      mach-lib = mach-nix.lib."${system}";
    in rec {
      packages.default = mach-lib.mkPython {
        requirements = builtins.readFile ./requirements.txt;
      };
      devShells.default = pkgs.devshell.mkShell {packages = with pkgs; [packages.default imagemagick resvg];};
      formatter = pkgs.alejandra;
    });
}
